<div class="full-container" fxLayoutAlign="center center">
  <mat-card fxLayout="column" fxLayoutAlign="center center">
    <mat-card-content>
      <p>
        Conversation
      </p>
    </mat-card-content>
    <mat-card-content *ngIf="!isAnyConversationOnSpace || isMyConversationOnSpace">
      <mat-form-field>
        <mat-select [(ngModel)]="conversationTime">
          <mat-option *ngFor="let c of times" [value]="c">{{c}}</mat-option>
        </mat-select>
      </mat-form-field>
    </mat-card-content>
    <mat-card-content *ngIf="isAnyConversationOnSpace">
      <h1>
        <mat-icon color="accent">notification_important</mat-icon>
        SILENT
        <mat-icon color="accent">notification_important</mat-icon>
      </h1>
    </mat-card-content>
    <mat-card-actions>
      <button *ngIf="!isAnyConversationOnSpace" mat-raised-button color="primary" (click)="triggerSilent()">
        <mat-icon matPrefix>voice_over_off</mat-icon>
        Start conversation
      </button>
      <button *ngIf="isMyConversationOnSpace" mat-raised-button color="primary" (click)="postponeSilent()">
        <mat-icon matPrefix>update</mat-icon>
        Postpone end of conversation
      </button>
      <button *ngIf="isMyConversationOnSpace" mat-raised-button color="warn"
              (click)="stopYourConversation();checkMySpace()">
        <mat-icon matPrefix>record_voice_over</mat-icon>
        Stop conversation
      </button>
    </mat-card-actions>
  </mat-card>
</div>
